Name: ca_HellasGrid-CA-2006
Version: 1.55
Release: 1
Source: ca_HellasGrid-CA-2006-1.55.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_HellasGrid-CA-2006-1.55/82b36fca.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority HellasGrid-CA-2006

%if %([ -n "http://www.grid.auth.gr/pki/hellasgrid-ca-2006/" ] && echo 1 || echo 0)
URL: http://www.grid.auth.gr/pki/hellasgrid-ca-2006/
%endif

%if %([ -n "ca_HellasGrid-Root = 1.55" ] && echo 1 || echo 0)
Requires: ca_HellasGrid-Root = 1.55
%endif

%prep
%setup -n ca_HellasGrid-CA-2006-1.55

%description
This is the trust anchor for the classic accredited authority HellasGrid-CA-2006.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

